
### Initial commands ###
library(mlogit)

## the following function creates the coefficients output in a desired format (as presented in the papers)

shuffle <- function(b,se,p, df.res, two.sided=T, digits, sep= ",", apa=T){
	nb <- names(b)
	nse <- sapply(1:length(b), function(x)paste(rep("", each=x), collapse=""))
	stars <- sapply(1:length(p), function(x)paste(rep("*", x), collapse=""))
	stars <- c("", stars)
	sig <- do.call(cbind, lapply(p, function(x)(2^(two.sided)*pt(abs(b/se), df.res, lower.tail=F)) < x))
	sig <- apply(sig, 1, sum)+1
	b <- sprintf(paste("%.", digits, "f", sep=""), b)
	se <- sprintf(paste("%.", digits, "f", sep=""), se)
	if(apa){
	newb <- gsub("^-0", "-", gsub("^0", "", b))
	} else{
		newb <- b
	}
	newb <- paste(newb, stars[sig], sep="")
	if(apa){
	newse <- gsub("^-0", "-", gsub("^0\\.", "\\.", se))
	} else{
		newse <- se
	}
	newse <- paste("(", newse, ")", sep="")
	mat <- matrix(rbind(newb, newse), ncol=1)
	rownames(mat) <- as.vector(rbind(nb, nse))
	mat <- cbind(sep, mat)
	colnames(mat) <- c("", "")
	noquote(mat)
}
