## Hurdle Model Plots  - Fig 3##
pdf("../Plots/Figure3.pdf")
con1<- read.table("../Output/agem3_plot.txt",header=T)
con2<- read.table("../Output/agef3_plot.txt",header=T)

ur2<-30:150/1000
par(mfrow=c(2,4),oma = c(0,0,0,0))

plot1<-cbind(con1[,1:3])
min1<-min(plot1)
max1<-max(plot1)
plot(ur2,plot1[,1],main= "Males : Pr(Z=1)",xlab="Unemployment Rate", ylab="Probablity of Claim", pch=1,cex=0.25,ylim=c(0,1),col="blue")
lines(ur2,plot1[,2],lty=4,col="blue")
lines(ur2,plot1[,3],lty=4,col="blue")

plot1<-cbind(con1[,4:6])
min1<-min(plot1)
max1<-max(plot1)
plot(ur2,plot1[,1],main= "Males : E(Y|Z=1)",xlab="Unemployment Rate", ylab="Actual-over-Expected", pch=1,cex=0.25,ylim=c(1,5),col="red")
lines(ur2,plot1[,2],lty=4,col="red")
lines(ur2,plot1[,3],lty=4,col="red")

plot1<-cbind(con1[,7:9])
min1<-min(plot1)
max1<-max(plot1)
plot(ur2,plot1[,1],main= "Males : E(Y)",xlab="Unemployment Rate", ylab="Actual-over-Expected", pch=1,cex=0.25,ylim=c(0,2),col="black")
lines(ur2,plot1[,2],lty=4,col="black")
lines(ur2,plot1[,3],lty=4,col="black")

plot1<-cbind(con1[,10:12])
min1<-min(plot1)
max1<-max(plot1)
plot(ur2,plot1[,1],main= "Males : Projection",xlab="Unemployment Rate", ylab="Projected Claims", pch=1,cex=0.25,ylim=c(1000,3000),col="gray")
lines(ur2,plot1[,2],lty=4,col="gray")
lines(ur2,plot1[,3],lty=4,col="gray")

plot1<-cbind(con2[,1:3])
min1<-min(plot1)
max1<-max(plot1)
plot(ur2,plot1[,1],main= "Females : Pr(Z=1)",xlab="Unemployment Rate", ylab="Probablity of Claim", pch=1,cex=0.25,ylim=c(0,1),col="blue")
lines(ur2,plot1[,2],lty=4,col="blue")
lines(ur2,plot1[,3],lty=4,col="blue")

plot1<-cbind(con2[,4:6])
min1<-min(plot1)
max1<-max(plot1)
plot(ur2,plot1[,1],main= "Females : E(Y|Z=1)",xlab="Unemployment Rate", ylab="Actual-over-Expected", pch=1,cex=0.25,ylim=c(1,5),col="red")
lines(ur2,plot1[,2],lty=4,col="red")
lines(ur2,plot1[,3],lty=4,col="red")

plot1<-cbind(con2[,7:9])
min1<-min(plot1)
max1<-max(plot1)
plot(ur2,plot1[,1],main= "Females : E(Y)",xlab="Unemployment Rate", ylab="Actual-over-Expected", pch=1,cex=0.25,ylim=c(0,2),col="black")
lines(ur2,plot1[,2],lty=4,col="black")
lines(ur2,plot1[,3],lty=4,col="black")

plot1<-cbind(con2[,10:12])
min1<-min(plot1)
max1<-max(plot1)
plot(ur2,plot1[,1],main= "Females : Projection",xlab="Unemployment Rate", ylab="Projected Claims", pch=1,cex=0.25,ylim=c(1000,3000),col="gray")
lines(ur2,plot1[,2],lty=4,col="gray")
lines(ur2,plot1[,3],lty=4,col="gray")

#mtext("Fig. 3 - Insured Population: Hurdle Model", 3,2,outer=T, cex=1.5)

dev.off()


### Multinomial Plots - Fig 4 ###
pdf("../Plots/Figure4.pdf")
con1<- read.table("../LogOutput/agem3_plot.txt",header=T)
con2<- read.table("../LogOutput/agef3_plot.txt",header=T)


ur1<-30:150/1000
par(mfrow=c(2,4),oma = c(0,0,0,0))

max1<-max(con1)
min1<-min(con1)

plot1<-con1[,1:3]
plot(ur1,plot1[,1],main= "Accident",xlab="Unemployment Rate", ylab="Probablity of Cause", type="n",sub="Males",ylim=c(min1,max1))
lines(ur1,plot1[,1],lty=1,col="blue")
lines(ur2,plot1[,2],lty=4,col="blue")
lines(ur2,plot1[,3],lty=4,col="blue")

plot1<-con1[,4:6]
plot(ur1,plot1[,1],main= "Mental Illness",xlab="Unemployment Rate", ylab="Probablity of Cause", type="n",sub="Males",ylim=c(min1,max1))
lines(ur1,plot1[,1],lty=1,col="gray")
lines(ur2,plot1[,2],lty=4,col="gray")
lines(ur2,plot1[,3],lty=4,col="gray")

plot1<-con1[,7:9]
plot(ur1,plot1[,1],main= "Musculo-Skeletal",xlab="Unemployment Rate", ylab="Probablity of Cause", type="n",sub="Males",ylim=c(min1,max1))
lines(ur1,plot1[,1],lty=1,col="red")
lines(ur2,plot1[,2],lty=4,col="red")
lines(ur2,plot1[,3],lty=4,col="red")

plot1<-con1[,10:12]
plot(ur1,plot1[,1],main= "All Other",xlab="Unemployment Rate", ylab="Probablity of Cause", type="n",sub="Males",ylim=c(min1,max1))
lines(ur1,plot1[,1],lty=1,col="black")
lines(ur2,plot1[,2],lty=4,col="black")
lines(ur2,plot1[,3],lty=4,col="black")


max1<-max(con2)
min1<-min(con2)

plot1<-con2[,1:3]
plot(ur1,plot1[,1],main= "Accident",xlab="Unemployment Rate", ylab="Probablity of Cause", type="n",sub="Females",ylim=c(min1,max1))
lines(ur1,plot1[,1],lty=1,col="blue")
lines(ur2,plot1[,2],lty=4,col="blue")
lines(ur2,plot1[,3],lty=4,col="blue")

plot1<-con2[,4:6]
plot(ur1,plot1[,1],main= "Mental Illness",xlab="Unemployment Rate", ylab="Probablity of Cause", type="n",sub="Females",ylim=c(min1,max1))
lines(ur1,plot1[,1],lty=1,col="gray")
lines(ur2,plot1[,2],lty=4,col="gray")
lines(ur2,plot1[,3],lty=4,col="gray")

plot1<-con2[,7:9]
plot(ur1,plot1[,1],main= "Musculo-Skeletal",xlab="Unemployment Rate", ylab="Probablity of Cause", type="n",sub="Females",ylim=c(min1,max1))
lines(ur1,plot1[,1],lty=1,col="red")
lines(ur2,plot1[,2],lty=4,col="red")
lines(ur2,plot1[,3],lty=4,col="red")

plot1<-con2[,10:12]
plot(ur1,plot1[,1],main= "All Other",xlab="Unemployment Rate", ylab="Probablity of Cause", type="n",sub="Females",ylim=c(min1,max1))
lines(ur1,plot1[,1],lty=1,col="black")
lines(ur2,plot1[,2],lty=4,col="black")
lines(ur2,plot1[,3],lty=4,col="black")

#mtext("Fig. 4 - Insured Population: Multinomial Logit Model", 3,2,outer=T, cex=1.5)
#mtext("Probabilty of claim cause at each level of unemployment rate (3%-15%)", 3,0,outer=T, cex=1)

dev.off()

## Combined Model - Fig 5 ##
pdf("../Plots/Figure5.pdf")
con1<- read.table("../ComOutput/agem3_plot.txt",header=T)
con2<- read.table("../ComOutput/agef3_plot.txt",header=T)


ur1<-30:150/1000
par(mfrow=c(2,4),oma = c(0,0,0,0))

max1<-max(con1)
min1<-min(con1)

plot1<-con1[,1:3]
plot(ur1,plot1[,1],main= "Accident",xlab="Unemployment Rate", ylab="Number of Claims", type="n",sub="Males",ylim=c(min1,max1))
lines(ur1,plot1[,1],lty=1,col="blue")
lines(ur2,plot1[,2],lty=4,col="blue")
lines(ur2,plot1[,3],lty=4,col="blue")

plot1<-con1[,4:6]
plot(ur1,plot1[,1],main= "Mental Illness",xlab="Unemployment Rate", ylab="Number of Claims", type="n",sub="Males",ylim=c(min1,max1))
lines(ur1,plot1[,1],lty=1,col="gray")
lines(ur2,plot1[,2],lty=4,col="gray")
lines(ur2,plot1[,3],lty=4,col="gray")

plot1<-con1[,7:9]
plot(ur1,plot1[,1],main= "Musculo-Skeletal",xlab="Unemployment Rate", ylab="Number of Claims", type="n",sub="Males",ylim=c(min1,max1))
lines(ur1,plot1[,1],lty=1,col="red")
lines(ur2,plot1[,2],lty=4,col="red")
lines(ur2,plot1[,3],lty=4,col="red")

plot1<-con1[,10:12]
plot(ur1,plot1[,1],main= "All Other",xlab="Unemployment Rate", ylab="Number of Claims", type="n",sub="Males",ylim=c(min1,max1))
lines(ur1,plot1[,1],lty=1,col="black")
lines(ur2,plot1[,2],lty=4,col="black")
lines(ur2,plot1[,3],lty=4,col="black")


max1<-max(con2)
min1<-min(con2)

plot1<-con2[,1:3]
plot(ur1,plot1[,1],main= "Accident",xlab="Unemployment Rate", ylab="Number of Claims", type="n",sub="Females",ylim=c(min1,max1))
lines(ur1,plot1[,1],lty=1,col="blue")
lines(ur2,plot1[,2],lty=4,col="blue")
lines(ur2,plot1[,3],lty=4,col="blue")

plot1<-con2[,4:6]
plot(ur1,plot1[,1],main= "Mental Illness",xlab="Unemployment Rate", ylab="Number of Claims", type="n",sub="Females",ylim=c(min1,max1))
lines(ur1,plot1[,1],lty=1,col="gray")
lines(ur2,plot1[,2],lty=4,col="gray")
lines(ur2,plot1[,3],lty=4,col="gray")

plot1<-con2[,7:9]
plot(ur1,plot1[,1],main= "Musculo-Skeletal",xlab="Unemployment Rate", ylab="Number of Claims", type="n",sub="Females",ylim=c(min1,max1))
lines(ur1,plot1[,1],lty=1,col="red")
lines(ur2,plot1[,2],lty=4,col="red")
lines(ur2,plot1[,3],lty=4,col="red")

plot1<-con2[,10:12]
plot(ur1,plot1[,1],main= "All Other",xlab="Unemployment Rate", ylab="Number of Claims", type="n",sub="Females",ylim=c(min1,max1))
lines(ur1,plot1[,1],lty=1,col="black")
lines(ur2,plot1[,2],lty=4,col="black")
lines(ur2,plot1[,3],lty=4,col="black")


#mtext("Fig. 5 - Insured Population: Combined Model", 3,2,outer=T, cex=1.5)
#mtext("Probabilty of claim cause at each level of unemployment rate (3%-15%)", 3,0,outer=T, cex=1)

dev.off()
